## ircd-hybrid 7.0.3

=== tools/rsa_respond/Makefile ===
# $Id: Makefile,v 1.8 2003/01/25 22:42:20 lusky Exp $

LIBS = -lcrypto

LDFLAGS =
#LDFLAGS = -L/usr/local/ssl/lib

INCLUDES =
#INCLUDES = -I/usr/local/ssl/include

all: respond

respond: respond.c
	gcc -g -O2 -Wall -o respond respond.c -ggdb ${INCLUDES} ${LDFLAGS} ${LIBS}

clean:
	rm -f respond *.core *~

## ircd-hybrid 8.0.9.dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.0.9.dfsg.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #701439)
  * Add warning about lack of compatible services (see #706417)
  * Run dh_autoreconf (Closes: #698089)
  * Don't build bundled libltdl (Closes: #698090)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 01 Jun 2013 00:59:04 +0100

ircd-hybrid (1:8.0.9.dfsg.1-1) experimental; urgency=low

  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 May 2013 19:18:49 +0100

ircd-hybrid (1:8.0.7.dfsg.1-1) experimental; urgency=low

  * New upstream release
    - update ircd.confs to reflect changes in upstream example.conf 
  * Add warning in debian/NEWS and in package preinst/config about
    cryptlink support going away in 8.x (Closes: #698091)
  * Rename CRYPTLINKS.txt to README.SSL to reflect the fact that the
    encrypted links are not called cryptlinks in 8.x
  * Add information about why OpenSSL is not linked by default to
    README.SSL

 -- Dominic Hargreaves <dom@earth.li>  Tue, 16 Apr 2013 00:03:29 +0100

ircd-hybrid (1:8.0.6.dfsg.1-1) experimental; urgency=low

  * New upstream release
    - Fixed build on GNU/Hurd (Closes: #698087)
    - Improved logging of configuration file issues (Closes: #698027)
    - nick and topic lengths are now configurable via ircd.conf; remove
      --with-nicklen and --with-topiclen from debian/rules, and note
      change in NEWS.Debian
    - update ircd.confs to reflect changes in upstream example.conf
    - Linux RT signal support for notification of socket events has been
      dropped; remove --enable-rtsigio from debian/rules
    - [CVE-2013-0238] fix DoS in hostmask.c:try_parse_v4_netmask()
      (Closes: #699267)
  * Correct Vcs-Git URL
  * Add prep-new-tarball script to assist in the creation of dfsg tarball

 -- Dominic Hargreaves <dom@earth.li>  Sun, 03 Feb 2013 00:12:38 +0000

ircd-hybrid (1:8.0.4.dfsg.1-1) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Update patchlevel automatically (was out of date)
  * Switch to debhelper 8
  * Remove obsolete sections of debian/rules
  * Add missing ${misc:Depends} to hybrid-dev Depends
  * Add build-indep and build-arch targets
  * Update Standards-Version to 3.9.4
  * Switch to git-dpm for patch management
  * Add debian/README.source describing patch management and dfsg
    tarball creation
  * New upstream release (Closes: #413600)
    - drop all patches other than patchlevel_debian. Note
      that #283738, which was previously fixed by warn_no_ssl_files,
      still exists, but is expected to be fixed by an upstream change
      soon.
    - m_services.c no longer hard-codes services name (Closes: #425202)
    - can_flood is now correctly enforced (Closes: #506402)
    - MAXCLIENTS is now a runtime configuration, so remove support for
      setting it in debian/rules
    - Install headers into /usr/include/ircd-hybrid-8
  * Update debian/copyright to format 1.0; licence is GPL-2+
  * Don't build contrib modules as they contain known buggy code
    and are not supported upstream
  * Refresh default ircd.conf files from upstream examples
    (Closes: #664661)
  * Set a default sid in ircd.conf, and add NEWS item about the need to
    set a unique sid in a network
  * Fix Lintian warning about deprecated use of chown in SSL postinst

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Jan 2013 16:01:22 +0000

ircd-hybrid (1:7.2.2.dfsg.2-10) unstable; urgency=high

  * [CVE-2013-0238] fix DoS in hostmask.c:try_parse_v4_netmask()
    (Closes: #699267)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 03 Feb 2013 00:54:15 +0000

ircd-hybrid (1:7.2.2.dfsg.2-9) unstable; urgency=low

  * Change maintainer in debian/control.in too

 -- Dominic Hargreaves <dom@earth.li>  Thu, 01 Nov 2012 21:13:39 +0000

ircd-hybrid (1:7.2.2.dfsg.2-8) unstable; urgency=low

  * New maintainer (Closes: #548366)
  * Add Vcs-* headers
  * Really enable hardened build flags; thanks to Simon Ruderich
    (Closes: #657537)
  * Fix bug where only one command line option could be passed; thanks
    to Denis Sacchet (Closes: #506192)
  * In README.Debian, note that SSL isn't enabled by default
    (Closes: #523113)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 01 Nov 2012 20:30:57 +0000

ircd-hybrid (1:7.2.2.dfsg.2-7) unstable; urgency=low

  * Non-maintainer upload.
  * Orphan package. As indicated in #548366, Joshua Kwan is no longer
    interested and there's no visible activity by Aurelien for a long
    time now.
  * Enable hardened build flags and fix missing format string (also
    forwarded and accepted upstream) (Closes: #657537)	 

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Apr 2012 21:34:25 +0200

ircd-hybrid (1:7.2.2.dfsg.2-6.3) unstable; urgency=low

  * NMU.
  * Merge Ubuntu diff:

  [ Colin Watson ]
  * Update 16_use_debian_pcre.dpatch to link dynamically with libpcre rather
    than statically (closes: #640559, LP: #749282).

  [ Bhavani Shankar ]
  * Create /var/run/ircd on start/restart rather than relying on the directory
    shipped in the package, since /var/run may be a tmpfs
    (closes: #519136, LP: #337715).
  * Prevent conflict with other ircds: remove Conflicts: ircd. inspircd and
    ircd-ratbox are the only current ircds that aren't explicitly conflicted
    with, and there are no file conflicts with those packages
    (closes: #511611, LP: #375619).

  [ gregor herrmann ]
  * Add $remote_fs to Required-{Start,Stop} in debian/ircd-hybrid.init
    (lintian error).

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Sep 2011 19:17:42 +0200

ircd-hybrid (1:7.2.2.dfsg.2-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Camaleón).  Closes: #584456
    - Danish (Joe Hansen).  Closes: #600029
    - Italian (Vincenzo Campanella).  Closes: #600438

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Oct 2010 07:21:33 +0200

ircd-hybrid (1:7.2.2.dfsg.2-6.1) unstable; urgency=low

  * Non-maintainer upload.


=== debian/control ===
Source: ircd-hybrid
Section: net
Priority: optional
Build-Depends: debhelper (>= 8),
 zlib1g-dev,
 docbook-to-man,
 flex,
 bison,
 libpcre3-dev (>= 6.3),
 automake1.13,
 dh-autoreconf,
 libltdl-dev 
Build-Conflicts: autoconf2.13
Maintainer: Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.4
Homepage: http://ircd-hybrid.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git

Package: ircd-hybrid
Architecture: any
Conflicts: ircd-ircu, ircd-irc2, dancer-ircd, oftc-hybrid
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends} 
Provides: ircd
Recommends: whois
Suggests: hybserv
Description: high-performance secure IRC server
 ircd-hybrid is a stable, high-performance IRC server that features:
 .
  * If enabled, SSL client support and server-to-server RSA encryption.
  * Compressed server links
  * Channel exceptions (+e) and invitation exceptions (+I).
  * New configuration file format.
  * Halfops (+h) and anti-spam user mode +g.
  * Dynamically loadable modules.
  * Channel and nickname RESV's (reservations).
 .
 It is also the IRC server of choice on the venerable EFnet, although
 EFnet also uses the Ratbox, ComStud, and the Hybrid 6 IRCDs.

Package: hybrid-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}
Suggests: ircd-hybrid
Description: development files for ircd-hybrid
 These are the headers used when writing modules for ircd-hybrid.
 For more information on how to write these modules, see the ircd-hybrid
 documentation or example_module.c in the source code for ircd-hybrid.
 .
 It also includes mbuild-hybrid, a shell script that simplifies building 
 and installation of such modules. This shell script is simplistic and
 assumes a lot; if you possess clue, you will know what to do anyway.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for ircd-hybrid,
# created by Joshua Kwan <joshk@triplehelix.org> for ircd-hybrid-7.0.x,
# modified by Aurélien GÉRÔME for ircd-hybrid-7.2.2.
# Note that the get-orig-source target depends on wget.

export CFLAGS = -g
DOWNLOAD_URL = http://prdownloads.sourceforge.net/ircd-hybrid/ircd-hybrid-7.2.2.tgz

# We don't want debian/control to be nuked
MAINT_FILES	  =	debian/control \
			debian/changelog \
			$(MAINT_CLEAN_FILES)
MAINT_CLEAN_FILES =	debian/ircd.conf \
			debian/ircd-hybrid.postinst \
			debian/ircd-hybrid.postrm \
			debian/ircd-hybrid.preinst \
			debian/ircd-hybrid.config

# Make my life easier
I = debian/ircd-hybrid
I_LIB = $(I)/usr/lib/ircd-hybrid
I_SBIN = $(I)/usr/sbin
I_DOC = $(I)/usr/share/doc/ircd-hybrid
I_ETC = $(I)/etc/ircd-hybrid

buildtype := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
hosttype := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

arch := $(shell dpkg-architecture -qDEB_HOST_ARCH)

package_version = $(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')

ifeq ($(arch),alpha)
	configure_options := --enable-poll
endif

ifeq ($(arch),kfreebsd-i386)
	configure_options := --enable-poll
endif

ifeq ($(arch),kfreebsd-amd64)
	configure_options := --enable-poll
endif

ifeq ($(arch),hurd-i386)
	configure_options := --enable-poll
endif

ifneq ($(buildtype),$(hosttype))
	crossflags := --build=$(buildtype) --host=$(hosttype)
endif

ifndef USE_OPENSSL
	sslflags := --disable-openssl
endif

configure: configure-stamp

configure-stamp:
ifdef USE_OPENSSL
	dpkg-checkbuilddeps
endif
	dh_testdir

	/bin/echo -ne '#ifndef PATCHLEVEL\n#define PATCHLEVEL "hybrid-' > include/patchlevel-debian.h
	/bin/echo -n $(package_version) >> include/patchlevel-debian.h	
	/bin/echo -ne '"\n#endif' >> include/patchlevel-debian.h

	dh_autoreconf

	./configure	$(crossflags) $(sslflags) \
			--prefix=/usr \
			--sysconfdir=/etc/ircd-hybrid \
			--localstatedir=/var \
			$(configure_options) \
			$(shell dpkg-buildflags --export=configure) \
			--enable-halfops \
			--program-suffix=-hybrid \
			--without-included-ltdl
	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: $(MAINT_FILES) configure
	$(MAKE)
	
	touch build-stamp

manpages: manpages-stamp

manpages-stamp:
	mkdir -p debian/doc-pages
	@echo "Processing man pages: "
	@for i in $(wildcard debian/doc/*.sgml); do \
		TARGET="debian/doc-pages/`basename $$i | sed 's/\.sgml//'`"; \
		echo "$$i -> $$TARGET"; \
		docbook-to-man $$i > $$i.tmp; \
		sed -n "`grep -n '^.TH' $$i.tmp | awk -F : '{print $$1}'`~1p" $$i.tmp > $$TARGET; \
		rm -f $$i.tmp; \
	done
	touch $@

clean:
	dh_testroot
	dh_testdir
	rm -rf debian/doc-pages
	rm -f $(MAINT_CLEAN_FILES)
ifneq (,$(wildcard debian/control.orig))
	cp debian/control.orig debian/control
endif
ifneq (,$(wildcard debian/changelog.orig))
	mv debian/changelog.orig debian/changelog
endif
	rm -f build-stamp configure-stamp manpages-stamp config.log changelog-stamp control-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f Makefile ] || $(MAKE) -C messages distclean
	rm -f include/patchlevel-debian.h
	dh_clean

debian/changelog: changelog-stamp

changelog-stamp:
ifdef USE_OPENSSL
	cp debian/changelog debian/changelog.orig
	( sh debian/boguschangelog.sh; cat debian/changelog ) > debian/changelog.new
	mv debian/changelog.new debian/changelog
endif

	touch changelog-stamp


debian/control: control-stamp

control-stamp:
	cp debian/control debian/control.orig
ifdef USE_OPENSSL
	sed -e 's^@SSL_BUILD_DEPENDS@^, libssl-dev^' \
	    -e 's^@SSL_HYBRID_DEPENDS@^, openssl^' \
	    -e 's^@SSL_CRYPTLINK_DESC@^o SSL server-to-server connections (cryptlinks)`printf \\n`^' \
	  debian/control.in > debian/control
else
	sed -e 's^@SSL_BUILD_DEPENDS@^^' \
	    -e 's^@SSL_HYBRID_DEPENDS@^^' \
	    -e 's^@SSL_CRYPTLINK_DESC@^^' debian/control.in > debian/control
endif
	
	touch $@

debian/ircd.conf:
ifdef USE_OPENSSL
	ln -sf ircd.conf.ssl debian/ircd.conf
else
	ln -sf ircd.conf.nossl debian/ircd.conf
endif

debian/ircd-hybrid.preinst:
ifdef USE_OPENSSL
	cp debian/ircd-hybrid.preinst.ssl debian/ircd-hybrid.preinst
else
	cp debian/ircd-hybrid.preinst.nossl debian/ircd-hybrid.preinst
endif

debian/ircd-hybrid.postrm:
ifdef USE_OPENSSL
	sed -e "s^@SSL_REMOVE@^`cat debian/ircd-hybrid.postrm.ssl`^" \
	  debian/ircd-hybrid.postrm.in > debian/ircd-hybrid.postrm
else
	sed -e "s^@SSL_REMOVE@^^" \
	  debian/ircd-hybrid.postrm.in > debian/ircd-hybrid.postrm
endif

debian/ircd-hybrid.postinst:
ifdef USE_OPENSSL
	sed -e "s^@SSL_WORK@^`cat debian/ircd-hybrid.postinst.ssl`^" \
	  debian/ircd-hybrid.postinst.in > debian/ircd-hybrid.postinst
else
	sed -e "s^@SSL_WORK@^^" \
	  debian/ircd-hybrid.postinst.in > debian/ircd-hybrid.postinst
endif

debian/ircd-hybrid.config:
ifdef USE_OPENSSL
	cp debian/ircd-hybrid.config.ssl debian/ircd-hybrid.config
else
	 cp debian/ircd-hybrid.config.nossl debian/ircd-hybrid.config
endif

install: manpages $(MAINT_FILES)

	dh_testdir
	dh_prep
	dh_installdirs -A
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp -C messages install

# The makefile installing headers for external modules building has
# disappeared since 7.0.3, so we are now doing what it did...
	mkdir -p $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8
	(cd include; for header in *.h; do \
		install -m644 $$header $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8; \
	done)

	dh_install -A --sourcedir=debian/tmp

binary-indep: build install

	dh_testdir
	dh_installchangelogs -i

	chmod +x debian/mbuild-hybrid
	cp -f debian/mbuild-hybrid debian/hybrid-dev/usr/bin

	dh_installdocs -i
	
	dh_installman -i debian/doc-pages/mbuild-hybrid.1

	dh_compress -i

	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

	dh_testdir
	dh_testroot

	dh_installdocs -a -Xdoc/ircd. -Xline. -XMakefile -Xexample

	dh_installexamples doc/example*.conf contrib/example_module.c

	dh_installman -a

	dh_installchangelogs -a

	dh_compress -a

	cp -Lf debian/ircd.conf $(I_ETC)/ircd.conf
	cp -f debian/ircd.motd $(I_ETC)/ircd.motd

	cp debian/ircd-hybrid.lintian.override $(I)/usr/share/lintian/overrides/ircd-hybrid

	# mkpasswd -Hmd5
	rm -f $(I_SBIN)/mkpasswd
	rm -f $(I_ETC)/.convertconf-example.conf $(I_ETC)/example*
	touch $(I_ETC)/xline.conf $(I_ETC)/nresv.conf $(I_ETC)/cresv.conf

	# Fixes lintian error non-empty-dependency_libs-in-la-file
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

	dh_fixperms -a

	chown irc:irc debian/ircd-hybrid/var/log/ircd
	chown -R irc:irc $(I_ETC)
	chmod -R 660 $(I_ETC)
ifdef USE_OPENSSL
	# Don't care for this to be 660.
	cp debian/cert.cnf $(I_ETC) 
endif
	chmod ug+x $(I_ETC)

	dh_installinit -a -n
	dh_installdebconf -a
	dh_installlogrotate -a

	dh_strip -a
	dh_link -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary:	binary-indep binary-arch

get-orig-source:
	wget $(DOWNLOAD_URL)

.PHONY: binary binary-arch binary-indep clean clean1 install get-orig-source manpages debian/control debian/changelog

## ircd-hybrid 8.1.13.dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.1.13.dfsg.1-1) unstable; urgency=low

  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Wed, 08 Jan 2014 22:17:08 +0000

ircd-hybrid (1:8.1.12.dfsg.1-1) unstable; urgency=low

  * Remove unused GPL-1+ license paragraph in debian/copyright
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Sun, 05 Jan 2014 16:39:13 +0000

ircd-hybrid (1:8.1.7.dfsg.1-1) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #710876
  * [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #714096
  * Portuguese (Américo Monteiro).  Closes: #714432
  * Swedish (Martin Bagge / brother).  Closes: #714647
  * Czech (Miroslav Kure).  Closes: #715137
  * German (Helge Kreutzmann).  Closes: #715197
  * Italian (Beatrice Torracca).  Closes: #715389
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #715432
  * Spanish; (Camaleón).  Closes: #715476
  * Polish (Michał Kułach).  Closes: #715514
  * French (Christian Perrier).  Closes: #716888

  [ Dominic Hargreaves ]
  * Correct validity of max_topic_length in default configuration
    (Closes: #712180)
  * Include (empty) kline.conf and dline.conf files to avoid harmless
    warnings about them being missing (Closes: #713871)
  * Don't check for START=yes in the 'stop' action of the init script
    (Closes: #718192)
  * Remove Tao-of-IRC.940110 in repack script, as there is no
    licensing info
  * New upstream release
    - update ircd.confs to reflect changes in upstream reference.conf
  * Build-Depend on automake rather than automake1.13, as the virtual
    automake1.13 package isn't always pulled in correctly
  * Build with libgeoip support
  * Source /lib/lsb/init-functions in init script (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 08 Sep 2013 12:43:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  flex,
  bison,
  libpcre3-dev (>= 6.3),
- automake1.13,
+ libgeoip-dev,
+ automake (>= 1:1.13.1),
  dh-autoreconf,
  libltdl-dev 
 Build-Conflicts: autoconf2.13
@@ -28,23 +29,20 @@
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .
-  * If enabled, SSL client support and server-to-server RSA encryption.
-  * Compressed server links
-  * Channel exceptions (+e) and invitation exceptions (+I).
-  * New configuration file format.
-  * Halfops (+h) and anti-spam user mode +g.
-  * Dynamically loadable modules.
+  * If enabled, SSL client support and server-to-server RSA encryption;
+  * Compressed server links;
+  * Channel exceptions (+e) and invitation exceptions (+I);
+  * New configuration file format;
+  * Halfops (+h) and anti-spam user mode +g;
+  * Dynamically loadable modules;
   * Channel and nickname RESV's (reservations).
- .
- It is also the IRC server of choice on the venerable EFnet, although
- EFnet also uses the Ratbox, ComStud, and the Hybrid 6 IRCDs.
 
 Package: hybrid-dev
 Section: devel
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: ircd-hybrid
-Description: development files for ircd-hybrid
+Description: high-performance secure IRC server - development files
  These are the headers used when writing modules for ircd-hybrid.
  For more information on how to write these modules, see the ircd-hybrid
  documentation or example_module.c in the source code for ircd-hybrid.

=== debian/rules ===
--- 
+++ 
@@ -118,7 +118,6 @@
 endif
 	rm -f build-stamp configure-stamp manpages-stamp config.log changelog-stamp control-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-	[ ! -f Makefile ] || $(MAKE) -C messages distclean
 	rm -f include/patchlevel-debian.h
 	dh_clean
 
@@ -196,7 +195,7 @@
 	dh_prep
 	dh_installdirs -A
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp -C messages install
+	rm -f $(CURDIR)/debian/tmp/etc/ircd-hybrid/reference.conf
 
 # The makefile installing headers for external modules building has
 # disappeared since 7.0.3, so we are now doing what it did...
@@ -233,7 +232,7 @@
 
 	dh_installdocs -a -Xdoc/ircd. -Xline. -XMakefile -Xexample
 
-	dh_installexamples doc/example*.conf contrib/example_module.c
+	dh_installexamples doc/reference.conf
 
 	dh_installman -a
 
@@ -249,7 +248,7 @@
 	# mkpasswd -Hmd5
 	rm -f $(I_SBIN)/mkpasswd
 	rm -f $(I_ETC)/.convertconf-example.conf $(I_ETC)/example*
-	touch $(I_ETC)/xline.conf $(I_ETC)/nresv.conf $(I_ETC)/cresv.conf
+	touch $(I_ETC)/xline.conf $(I_ETC)/nresv.conf $(I_ETC)/cresv.conf $(I_ETC)/kline.conf $(I_ETC)/dline.conf
 
 	# Fixes lintian error non-empty-dependency_libs-in-la-file
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

## ircd-hybrid 8.1.17.dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.1.17.dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update ircd.confs to reflect changes in upstream reference.conf
  * Correct default MOTD to refer to 8.1 rather than 8.0

 -- Dominic Hargreaves <dom@earth.li>  Mon, 05 May 2014 15:24:20 +0100

ircd-hybrid (1:8.1.16.dfsg.1-1) unstable; urgency=medium

  * Update Debconf translations (Closes: #744013)
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Mon, 21 Apr 2014 18:51:51 +0100

ircd-hybrid (1:8.1.15.dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update default config file
  * Update Standards-Version (no changes)
  * Add warning when upgrading away from a version with SSL support
    (Closes: #736813)
  * Update Debconf translations (Closes: #741058, #741105, #741149,
    #741150, #741357, #741403, #741455, #741869, #741937)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 01 Apr 2014 22:52:14 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libltdl-dev 
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://ircd-hybrid.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
 Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git

## ircd-hybrid 8.2.0%2Bdfsg.1

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libltdl-dev 
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ircd-hybrid.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
 Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
@@ -25,7 +25,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends} 
 Provides: ircd
 Recommends: whois
-Suggests: hybserv
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .

## ircd-hybrid 8.2.0+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.0+dfsg.1-2) unstable; urgency=medium

  * Updated Swedish debconf translation (Closes: #761974)
  * Updated Dutch debconf translation (Closes: #763645)
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 Oct 2014 11:35:21 +0100

ircd-hybrid (1:8.2.0+dfsg.1-1) unstable; urgency=low

  * Update debian/prep-new-tarball to not fail when trying to
    remove files which don't exist, and use +dfsg rather than .dfsg
    (thanks, Lintian)
  * New upstream release
    - update debian/copyright with minor changes
    - update config files from new reference.conf
  * Add NEWS item about updated configuration
  * Correct default MOTD to refer to 8.2 rather than 8.1
  * Use install -d rather than mkdir to ensure permissions are set
    correctly in certain build environments (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 07 Sep 2014 18:26:34 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends} 
 Provides: ircd
 Recommends: whois
+Suggests: hybserv
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .

=== debian/rules ===
--- 
+++ 
@@ -199,7 +199,7 @@
 
 # The makefile installing headers for external modules building has
 # disappeared since 7.0.3, so we are now doing what it did...
-	mkdir -p $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8
+	install -d $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8
 	(cd include; for header in *.h; do \
 		install -m644 $$header $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8; \
 	done)

## ircd-hybrid 8.2.7+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.7+dfsg.1-1) unstable; urgency=medium

  * Remove Suggests: hybserv since it doesn't really work with
    ircd-hybrid 8 and above
  * New upstream release
    - update debian/copyright with minor changes
    - update config files from new reference.conf
    - fixes DoS from localhost clients (Closes: #782859)
    - supports SSL certficate chaining (Closes: #769741)
  * Debconf configuration script no longer ignores the result of
    upgrade questions (Closes: #779082)
  * Don't display upgrade warnings on new installs (Closes: #782883)
  * Add NEWS item about updated configuration

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 Apr 2015 15:53:09 +0100

## ircd-hybrid 8.2.12+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.12+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update debian/copyright with new copyright year
  * Add NEWS item about change requiring whole-network upgrade

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 Jan 2016 19:04:02 +0000

ircd-hybrid (1:8.2.11+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config files from new reference.conf
  * Add NEWS item about updated configuration and incompatible changes
  * Bump debhelper compatibility level
  * Various cleanups to debian/rules
  * Create /var/cache/ircd-hybrid for flattened links file

 -- Dominic Hargreaves <dom@earth.li>  Sat, 02 Jan 2016 15:16:00 +0000

ircd-hybrid (1:8.2.8+dfsg.1-3) unstable; urgency=medium

  * Correctly remove /var/lib/ircd-hybrid when purging package
    (Closes: #798372)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 08 Sep 2015 22:08:29 +0100

ircd-hybrid (1:8.2.8+dfsg.1-2) unstable; urgency=medium

  * Fix typo in build date format
  * Fix regression in previous release where the server would not
    get correctly restarted after upgrade

 -- Dominic Hargreaves <dom@earth.li>  Sat, 05 Sep 2015 23:08:39 +0100

ircd-hybrid (1:8.2.8+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config files from new reference.conf 
  * Reproducibility fixes
    - Don't use the current time when building
    - Set file modes reproducibly 
  * Support status argument to init script
  * Store data files in /var/lib/ircd-hybrid instead of /etc/ircd-hybrid
    (Closes: #782892)
  * Remove obsolete --enable-halfops configure option
  * Sync debian/control.in with debian/control
  * Add Suggests: anope
  * Add a safeguard to stop debian/control getting out of sync
  * Remove obsolete build-dependencies on zlib1g-dev and libpcre3-dev
  * Remove reference to outdated m_opme patches in README.Debian
  * Don't create obsolete database files in /etc
  * Thanks to Michael Wobst for review of many of these changes

 -- Dominic Hargreaves <dom@earth.li>  Sat, 05 Sep 2015 22:35:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: ircd-hybrid
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 8),
- zlib1g-dev,
+Build-Depends: debhelper (>= 9),
  docbook-to-man,
  flex,
  bison,
- libpcre3-dev (>= 6.3),
  libgeoip-dev,
  automake (>= 1:1.13.1),
  dh-autoreconf,
@@ -25,7 +23,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends} 
 Provides: ircd
 Recommends: whois
-Suggests: hybserv
+Suggests: anope
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Note that the get-orig-source target depends on wget.
 
 export CFLAGS = -g
-DOWNLOAD_URL = http://prdownloads.sourceforge.net/ircd-hybrid/ircd-hybrid-7.2.2.tgz
+export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%B %-e %Y at %T%z')
 
 # We don't want debian/control to be nuked
 MAINT_FILES	  =	debian/control \
@@ -75,7 +75,6 @@
 			--localstatedir=/var \
 			$(configure_options) \
 			$(shell dpkg-buildflags --export=configure) \
-			--enable-halfops \
 			--program-suffix=-hybrid \
 			--without-included-ltdl
 	touch $@
@@ -146,15 +145,16 @@
 	sed -e 's^@SSL_BUILD_DEPENDS@^^' \
 	    -e 's^@SSL_HYBRID_DEPENDS@^^' \
 	    -e 's^@SSL_CRYPTLINK_DESC@^^' debian/control.in > debian/control
+	cmp debian/control debian/control.orig
 endif
 	
 	touch $@
 
 debian/ircd.conf:
 ifdef USE_OPENSSL
-	ln -sf ircd.conf.ssl debian/ircd.conf
-else
-	ln -sf ircd.conf.nossl debian/ircd.conf
+	cp -f debian/ircd.conf.ssl debian/ircd.conf
+else
+	cp -f debian/ircd.conf.nossl debian/ircd.conf
 endif
 
 debian/ircd-hybrid.preinst:
@@ -196,30 +196,22 @@
 	dh_installdirs -A
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	rm -f $(CURDIR)/debian/tmp/etc/ircd-hybrid/reference.conf
-
-# The makefile installing headers for external modules building has
-# disappeared since 7.0.3, so we are now doing what it did...
-	install -d $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8
-	(cd include; for header in *.h; do \
-		install -m644 $$header $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8; \
-	done)
-
-	dh_install -A --sourcedir=debian/tmp
+	install -d $(CURDIR)/debian/tmp/var/cache/ircd-hybrid
+
+	dh_install
+
+ifdef USE_OPENSSL
+	cp debian/cert.cnf $(I_ETC) 
+endif
 
 binary-indep: build install
 
 	dh_testdir
 	dh_installchangelogs -i
-
-	chmod +x debian/mbuild-hybrid
-	cp -f debian/mbuild-hybrid debian/hybrid-dev/usr/bin
-
 	dh_installdocs -i
-	
-	dh_installman -i debian/doc-pages/mbuild-hybrid.1
-
+	dh_installman -i
 	dh_compress -i
-
+	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -229,26 +221,16 @@
 
 	dh_testdir
 	dh_testroot
-
 	dh_installdocs -a -Xdoc/ircd. -Xline. -XMakefile -Xexample
-
-	dh_installexamples doc/reference.conf
-
+	dh_installexamples
 	dh_installman -a
-
 	dh_installchangelogs -a
-
 	dh_compress -a
-
-	cp -Lf debian/ircd.conf $(I_ETC)/ircd.conf
-	cp -f debian/ircd.motd $(I_ETC)/ircd.motd
-
-	cp debian/ircd-hybrid.lintian.override $(I)/usr/share/lintian/overrides/ircd-hybrid
+	dh_lintian
 
 	# mkpasswd -Hmd5
 	rm -f $(I_SBIN)/mkpasswd
 	rm -f $(I_ETC)/.convertconf-example.conf $(I_ETC)/example*
-	touch $(I_ETC)/xline.conf $(I_ETC)/nresv.conf $(I_ETC)/cresv.conf $(I_ETC)/kline.conf $(I_ETC)/dline.conf
 
 	# Fixes lintian error non-empty-dependency_libs-in-la-file
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
@@ -256,13 +238,12 @@
 	dh_fixperms -a
 
 	chown irc:irc debian/ircd-hybrid/var/log/ircd
-	chown -R irc:irc $(I_ETC)
-	chmod -R 660 $(I_ETC)
-ifdef USE_OPENSSL
-	# Don't care for this to be 660.
-	cp debian/cert.cnf $(I_ETC) 
-endif
-	chmod ug+x $(I_ETC)
+	chown root:irc $(I_ETC)
+	chmod 750 $(I_ETC)
+	chown root:irc $(I_ETC)/ircd.conf
+	chmod 640 $(I_ETC)/ircd.conf
+	chown irc:irc debian/ircd-hybrid/var/cache/ircd-hybrid
+	chmod 700 debian/ircd-hybrid/var/cache/ircd-hybrid
 
 	dh_installinit -a -n
 	dh_installdebconf -a
@@ -278,7 +259,4 @@
 
 binary:	binary-indep binary-arch
 
-get-orig-source:
-	wget $(DOWNLOAD_URL)
-
-.PHONY: binary binary-arch binary-indep clean clean1 install get-orig-source manpages debian/control debian/changelog
+.PHONY: binary binary-arch binary-indep clean clean1 install manpages debian/control debian/changelog

## ircd-hybrid 8.2.17+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.17+dfsg.1-1) unstable; urgency=medium

  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Sat, 23 Apr 2016 13:05:40 +0100

ircd-hybrid (1:8.2.16+dfsg.1-2) unstable; urgency=high

  * Remove reference to obsolete debconf question, fixing
    uninstallability; thanks to Andreas Beckmann (Closes: #821823)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 19 Apr 2016 23:13:39 +0100

ircd-hybrid (1:8.2.16+dfsg.1-1) unstable; urgency=medium

  * Add Brazilian Portuguese translation, thanks to Adriano Rafael Gomes
    (Closes: #816931)
  * New upstream release
    - update config files from new reference.conf
  * Build unconditionally with SSL support using new GnuTLS support
    (Closes: #697376)
  * Add NEWS entry about Anope in Debian and remove outdated debconf
    prompt about lack of services support
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 03 Apr 2016 13:33:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
  libgeoip-dev,
  automake (>= 1:1.13.1),
  dh-autoreconf,
- libltdl-dev 
+ libltdl-dev,
+ libgnutls28-dev,
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://ircd-hybrid.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
 Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
@@ -20,14 +21,16 @@
 Architecture: any
 Conflicts: ircd-ircu, ircd-irc2, dancer-ircd, oftc-hybrid
 Pre-Depends: debconf (>= 0.5) | debconf-2.0
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Depends: ${shlibs:Depends},
+    ${misc:Depends},
+    openssl,
 Provides: ircd
 Recommends: whois
 Suggests: anope
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .
-  * If enabled, SSL client support and server-to-server RSA encryption;
+  * SSL client support and server-to-server RSA encryption;
   * Compressed server links;
   * Channel exceptions (+e) and invitation exceptions (+I);
   * New configuration file format;

## ircd-hybrid 8.2.21+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.21+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config file from new reference.conf
  * Add Depends on lsb-base (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 03 Dec 2016 12:34:40 +0000

ircd-hybrid (1:8.2.19+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 28 Aug 2016 23:55:02 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libgnutls28-dev,
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://ircd-hybrid.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
 Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
@@ -24,6 +24,7 @@
 Depends: ${shlibs:Depends},
     ${misc:Depends},
     openssl,
+    lsb-base (>= 3.0-6),
 Provides: ircd
 Recommends: whois
 Suggests: anope

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for ircd-hybrid,
# created by Joshua Kwan <joshk@triplehelix.org> for ircd-hybrid-7.0.x,
# modified by Aurélien GÉRÔME for ircd-hybrid-7.2.2.
# Note that the get-orig-source target depends on wget.

export CFLAGS = -g
export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%B %-e %Y at %T%z')

# Make my life easier
I = debian/ircd-hybrid
I_LIB = $(I)/usr/lib/ircd-hybrid
I_SBIN = $(I)/usr/sbin
I_DOC = $(I)/usr/share/doc/ircd-hybrid
I_ETC = $(I)/etc/ircd-hybrid

buildtype := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
hosttype := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

arch := $(shell dpkg-architecture -qDEB_HOST_ARCH)

package_version = $(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')

ifeq ($(arch),alpha)
	configure_options := --enable-poll
endif

ifeq ($(arch),kfreebsd-i386)
	configure_options := --enable-poll
endif

ifeq ($(arch),kfreebsd-amd64)
	configure_options := --enable-poll
endif

ifeq ($(arch),hurd-i386)
	configure_options := --enable-poll
endif

ifneq ($(buildtype),$(hosttype))
	crossflags := --build=$(buildtype) --host=$(hosttype)
endif

configure: configure-stamp

configure-stamp:
	dh_testdir

	/bin/echo -ne '#ifndef PATCHLEVEL\n#define PATCHLEVEL "hybrid-' > include/patchlevel-debian.h
	/bin/echo -n $(package_version) >> include/patchlevel-debian.h	
	/bin/echo -ne '"\n#endif' >> include/patchlevel-debian.h

	dh_autoreconf

	./configure	$(crossflags) \
			--disable-openssl \
			--enable-gnutls \
			--prefix=/usr \
			--sysconfdir=/etc/ircd-hybrid \
			--localstatedir=/var \
			$(configure_options) \
			$(shell dpkg-buildflags --export=configure) \
			--program-suffix=-hybrid \
			--without-included-ltdl
	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure
	$(MAKE)
	
	touch build-stamp

manpages: manpages-stamp

manpages-stamp:
	mkdir -p debian/doc-pages
	@echo "Processing man pages: "
	@for i in $(wildcard debian/doc/*.sgml); do \
		TARGET="debian/doc-pages/`basename $$i | sed 's/\.sgml//'`"; \
		echo "$$i -> $$TARGET"; \
		docbook-to-man $$i > $$i.tmp; \
		sed -n "`grep -n '^.TH' $$i.tmp | awk -F : '{print $$1}'`~1p" $$i.tmp > $$TARGET; \
		rm -f $$i.tmp; \
	done
	touch $@

clean:
	dh_testroot
	dh_testdir
	rm -rf debian/doc-pages
	rm -f build-stamp configure-stamp manpages-stamp config.log changelog-stamp control-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f include/patchlevel-debian.h
	dh_clean

install: manpages

	dh_testdir
	dh_prep
	dh_installdirs -A
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	rm -f $(CURDIR)/debian/tmp/etc/ircd-hybrid/reference.conf
	install -d $(CURDIR)/debian/tmp/var/cache/ircd-hybrid

	dh_install

	cp debian/cert.cnf $(I_ETC) 

binary-indep: build install

	dh_testdir
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installman -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

	dh_testdir
	dh_testroot
	dh_installdocs -a -Xdoc/ircd. -Xline. -XMakefile -Xexample
	dh_installexamples
	dh_installman -a
	dh_installchangelogs -a
	dh_compress -a
	dh_lintian

	# mkpasswd -Hmd5
	rm -f $(I_SBIN)/mkpasswd
	rm -f $(I_ETC)/.convertconf-example.conf $(I_ETC)/example*

	# Fixes lintian error non-empty-dependency_libs-in-la-file
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

	dh_fixperms -a

	chown irc:irc debian/ircd-hybrid/var/log/ircd
	chown root:irc $(I_ETC)
	chmod 750 $(I_ETC)
	chown root:irc $(I_ETC)/ircd.conf
	chmod 640 $(I_ETC)/ircd.conf
	chown irc:irc debian/ircd-hybrid/var/cache/ircd-hybrid
	chmod 700 debian/ircd-hybrid/var/cache/ircd-hybrid

	dh_installinit -a -n
	dh_installdebconf -a
	dh_installlogrotate -a

	dh_strip -a
	dh_link -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary:	binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean install manpages

## ircd-hybrid 8.2.22+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.22+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config file from new reference.conf
  * Update Standards-Version (no changes)
  * Update Vcs-* fields to https

 -- Dominic Hargreaves <dom@earth.li>  Wed, 23 Aug 2017 00:23:03 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  libgnutls28-dev,
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://ircd-hybrid.com/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
-Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
+Vcs-Git: https://anonscm.debian.org/git/users/dom/ircd-hybrid.git
 
 Package: ircd-hybrid
 Architecture: any

## ircd-hybrid 8.2.24+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.24+dfsg.1-1+deb10u1) buster; urgency=medium

  * Use dhparam.pem to avoid segfault on startup (Closes: #932774)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 23 Feb 2020 22:07:54 +0000

ircd-hybrid (1:8.2.24+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config file from new reference.conf
  * d/rules: Remove reference to non-existence get-orig-source target
  * Update Standards-Version
  * Don't run chown in recursive mode in maintainer scripts, fixing
    Lintian check maintainer-script-should-not-use-recursive-chown-or-chmod
  * Update Vcs-* fields to salsa

 -- Dominic Hargreaves <dom@earth.li>  Fri, 06 Apr 2018 22:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  libgnutls28-dev,
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Homepage: http://ircd-hybrid.com/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
-Vcs-Git: https://anonscm.debian.org/git/users/dom/ircd-hybrid.git
+Vcs-Browser: https://salsa.debian.org/dom/ircd-hybrid
+Vcs-Git: https://salsa.debian.org/dom/ircd-hybrid.git
 
 Package: ircd-hybrid
 Architecture: any

## ircd-hybrid 8.2.26%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # debian/rules file for ircd-hybrid,
 # created by Joshua Kwan <joshk@triplehelix.org> for ircd-hybrid-7.0.x,
 # modified by Aurélien GÉRÔME for ircd-hybrid-7.2.2.
-# Note that the get-orig-source target depends on wget.
 
 export CFLAGS = -g
 export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%B %-e %Y at %T%z')

## ircd-hybrid 8.2.26+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.26+dfsg.1-1) unstable; urgency=medium

  * Remove libgeoip-dev from Build-Depends as this feature is no longer
    supported
  * Remove obsolete upgrade logic in maintainer scripts
  * New upstream release
    - update config file from new reference.conf
    - update debian/copyright for new years and third party files
  * Use dhparam.pem to avoid segfault on startup (Closes: #932774)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 01 Sep 2019 12:18:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  docbook-to-man,
  flex,
  bison,
- libgeoip-dev,
  automake (>= 1:1.13.1),
  dh-autoreconf,
  libltdl-dev,

## ircd-hybrid 8.2.31+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.31+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update debian/copyright for new years and third party files
    - update config file from new reference.conf
    - update versioned dependency on gnutls and its configuration flag 
    - fix FTBFS with gcc-10 (Closes: #957377)
  * Add postinst logic to automatically rename config variables that
    have changed in this release
  * Bump debhelper compatibility level
  * Remove /etc/default/ircd-hybrid to fix Lintian error
    init.d-script-should-always-start-service

 -- Dominic Hargreaves <dom@earth.li>  Sun, 10 May 2020 23:50:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: ircd-hybrid
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
  docbook-to-man,
  flex,
  bison,
  automake (>= 1:1.13.1),
- dh-autoreconf,
  libltdl-dev,
- libgnutls28-dev,
+ libgnutls28-dev (>= 3.6.5),
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
 Standards-Version: 4.1.4

=== debian/rules ===
--- 
+++ 
@@ -52,8 +52,7 @@
 	dh_autoreconf
 
 	./configure	$(crossflags) \
-			--disable-openssl \
-			--enable-gnutls \
+			--with-tls=gnutls \
 			--prefix=/usr \
 			--sysconfdir=/etc/ircd-hybrid \
 			--localstatedir=/var \

## ircd-hybrid 8.2.38+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.38+dfsg.1-2) unstable; urgency=medium

  * Update debconf translations (Closes: #982558, #982317, #983111, #983415)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 28 Feb 2021 12:22:17 +0000

ircd-hybrid (1:8.2.38+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config file for new reference.conf
    - add additional config directive renaming in postinst
  * Update NEWS with information about configuration directive renames
    and upgrade version constraints
  * Fix post-inst helper scripts to be executable
  * Remove reference to old version 7.2.2 in default MOTD

 -- Dominic Hargreaves <dom@earth.li>  Sun, 07 Feb 2021 15:51:55 +0000

ircd-hybrid (1:8.2.37+dfsg.1-1) unstable; urgency=medium

  * Update German debconf translation (Closes: #977152)
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Mon, 04 Jan 2021 11:49:55 +0000

ircd-hybrid (1:8.2.36+dfsg.1-1) unstable; urgency=medium

  * Update German debconf translation (Closes: #960782)
  * Update Spanish debconf translation (Closes: #961914)
  * Update Portuguese debconf translation (Closes: #962404)
  * Update Dutch debconf translation (Closes: #963009)
  * Update Homepage to primary (.org) domain
  * New upstream release
    - update debian/copyright for file renames
    - update config file from new reference.conf
  * Update postinst logic to cater for more config renames
  * Add Breaks on older versions of anope which are not compatible
    with this release

 -- Dominic Hargreaves <dom@earth.li>  Sun, 06 Dec 2020 22:15:03 +0000

=== debian/rules ===
--- 
+++ 
@@ -105,6 +105,7 @@
 	rm -f $(CURDIR)/debian/tmp/etc/ircd-hybrid/reference.conf
 	install -d $(CURDIR)/debian/tmp/var/cache/ircd-hybrid
 
+	chmod +x $(CURDIR)/debian/scripts/*
 	dh_install
 
 	cp debian/cert.cnf $(I_ETC)

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// \
http://sf.net/ircd-hybrid/ircd-hybrid-(.*)\.tgz

## ircd-hybrid 8.2.39+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.39+dfsg.1-2) unstable; urgency=medium

  * Update debconf translations (Closes: #1003288)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 Apr 2022 19:37:33 +0100

ircd-hybrid (1:8.2.39+dfsg.1-1) unstable; urgency=medium

  * Update debconf translations (Closes: #987228, #994051)
  * New upstream release
  * Correct errors in ircd.conf (Closes: #999586)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 Apr 2022 19:27:26 +0100

## ircd-hybrid 8.2.43%2Bdfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.43+dfsg.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:25:35 +0000

ircd-hybrid (1:8.2.43+dfsg.1-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:06:40 +0000

ircd-hybrid (1:8.2.43+dfsg.1-1) unstable; urgency=medium

  * Update debian/watch file following upstream move to github
  * New upstream release
    - drop build date patch now upstream has support for reproducible
      builds
    - update debian/copyright 
    - update config file for new reference.conf
  * Update NEWS with information about configuration directive renames
    and upgrade version constraints

 -- Dominic Hargreaves <dom@earth.li>  Mon, 05 Dec 2022 10:05:28 +0000

## ircd-hybrid 8.2.43+dfsg.1

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  libltdl-dev,
  libgnutls28-dev (>= 3.6.5),
 Build-Conflicts: autoconf2.13
-Maintainer: Dominic Hargreaves <dom@earth.li>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dominic Hargreaves <dom@earth.li>
 Standards-Version: 4.1.4
-Homepage: http://ircd-hybrid.com/
+Homepage: https://www.ircd-hybrid.org/
 Vcs-Browser: https://salsa.debian.org/dom/ircd-hybrid
 Vcs-Git: https://salsa.debian.org/dom/ircd-hybrid.git
 
@@ -26,6 +27,7 @@
 Provides: ircd
 Recommends: whois
 Suggests: anope
+Breaks: anope (<< 2.0.9-1~),
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # modified by Aurélien GÉRÔME for ircd-hybrid-7.2.2.
 
 export CFLAGS = -g
-export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%B %-e %Y at %T%z')
 
 # Make my life easier
 I = debian/ircd-hybrid
@@ -45,10 +44,6 @@
 configure-stamp:
 	dh_testdir
 
-	/bin/echo -ne '#ifndef PATCHLEVEL\n#define PATCHLEVEL "hybrid-' > include/patchlevel-debian.h
-	/bin/echo -n $(package_version) >> include/patchlevel-debian.h	
-	/bin/echo -ne '"\n#endif' >> include/patchlevel-debian.h
-
 	dh_autoreconf
 
 	./configure	$(crossflags) \
@@ -59,7 +54,7 @@
 			$(configure_options) \
 			$(shell dpkg-buildflags --export=configure) \
 			--program-suffix=-hybrid \
-			--without-included-ltdl
+			--without-included-ltdl PACKAGE_VERSION=$(package_version)
 	touch $@
 
 build: build-arch build-indep
